apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-12-16T12:26:07.77786818Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    openshift.io/display-name: esx8.0-win11-x86_64-efi-25h2
    original-ID: vm-598
  resourceVersion: '316898965'
  name: esx8.0-win11-x86-64-efi-25h2
  uid: dd05971f-ec1d-4aa3-be5e-ac74994ed20a
  creationTimestamp: '2025-12-16T11:35:31Z'
  generation: 3
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:openshift.io/display-name': {}
            'f:original-ID': {}
          'f:labels':
            .: {}
            'f:guestConverted': {}
            'f:migration': {}
            'f:plan': {}
            'f:resource': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:annotations':
                .: {}
                'f:vm.kubevirt.io/flavor': {}
                'f:vm.kubevirt.io/os': {}
                'f:vm.kubevirt.io/workload': {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                  'f:tpm':
                    .: {}
                    'f:enabled': {}
                'f:features':
                  .: {}
                  'f:acpi': {}
                  'f:smm':
                    .: {}
                    'f:enabled': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-12-16T11:35:31Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2025-12-16T11:35:32Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:runStrategy': {}
      manager: virt-api
      operation: Update
      time: '2025-12-16T12:26:07Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-12-17T05:47:49Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    guestConverted: 'true'
    migration: 7b08116c-5c3e-47c4-8563-06de01b45296
    plan: 1fb24f45-d859-4871-8d32-78b5ecf4bcf0
    resource: vm-config
    vmID: vm-598
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.11
    revisionName: esx8.0-win11-x86-64-efi-25h2-windows.11-v1beta1-9e42325d-c494-466a-84f9-fc367e392b72-3
  runStrategy: Always
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: ''
        vm.kubevirt.io/os: ''
        vm.kubevirt.io/workload: ''
      creationTimestamp: null
      labels:
        app: esx8.0-win11-x86-64-efi-25h2
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 2
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: vol-0
              serial: 6000C294-0ddb-1f50-0625-f8985a9ff55e
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:a5:a1:9e'
              masquerade: {}
              model: virtio
              name: net-0
          tpm:
            enabled: false
        features:
          acpi: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            efi:
              secureBoot: true
          serial: 42251264-6f2d-7566-c6bc-64051e29d5ab
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: test-latest-win11-vm-598-59gfd
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-12-16T12:26:10Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: PVC test-latest-win11-vm-598-59gfd is not shared, live migration requires that all PVCs must be shared (using ReadWriteMany access mode)'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: '2025-12-17T05:47:49Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  created: true
  desiredGeneration: 3
  observedGeneration: 3
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'

